%{!?python_sitelib: %global python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%{!?python_sitearch: %global python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")}

Distribution:	CCux
Packager:	Karsten Brockmann <arcam@ccux-linux.de>

Name:		qedje
#Epoch:		0
Version:	0.4.0
Release:	1
License:	GNU/GPLv3
URL:		http://dev.openbossa.org/trac/qedje/
Group:		System/Libraries
Summary:	A library combining the benefits of Edje and Qt
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildArch:	i686

# Sources:
Source:		%{name}-%{version}.tar.bz2

# Patches:

# Requires:

# BuildRequires:
BuildRequires:	openssl-devel

#Automatically resolved build dependencies
BuildRequires: eina-devel
BuildRequires: gnutls-devel
BuildRequires: eet-devel
BuildRequires: fontconfig-devel
BuildRequires: freetype-devel
BuildRequires: glib-devel
BuildRequires: glibc-devel
BuildRequires: libICE-devel
BuildRequires: libSM-devel
BuildRequires: libX11-devel
BuildRequires: libXcursor-devel
BuildRequires: libXext-devel
BuildRequires: libXfixes-devel
BuildRequires: libXi-devel
BuildRequires: libXinerama-devel
BuildRequires: libXrandr-devel
BuildRequires: libXrender-devel
BuildRequires: libgcc
BuildRequires: libpng-devel
BuildRequires: libstdc++-devel
BuildRequires: pkg-config
BuildRequires: python-devel
BuildRequires: qt4-devel
BuildRequires: qzion-devel
BuildRequires: zlib-devel

%description
The main purpose of the QEdje project is to build a bridge among components that proved to have great value for open source developers: Edje and Qt. This will extend the Qt toolkit with the flexibility of a declarative language, such as Edje, and also enable Qt widgets to be embedded into Edje UI desig

%package	devel
Summary:	%{name} development headers.
Group:		%{group}
Requires:	%{name} = %{version}-%{release}

%description	devel
Header and include files for developing applications with %{name}.

%package python

Summary:  Python bindings for %{name}
Group:    Development/Libraries
Requires: PyQt4
Requires: qzion-python

%description python
The %{name}-python package contains python bindings for %{name}

%package python-devel

Summary:  Python bindings for %{name}
Group:    Development/Libraries
Requires: sip
Requires: PyQt4-devel
Requires: qzion-python-devel
Requires: %{name}-python = %{version}-%{release}

%description python-devel
The %{name}-python-devel package contains the development files
for the python bindings for %{name}


%pre

%preun

%post
ldconfig

%postun
ldconfig

%prep
%setup -n %{name}-%{version}
#Support installing in buildroot
#sed -i "s/^DESTDIR = \$(QTDIR)/DESTDIR = \$(INSTALL_ROOT)\$(QTDIR)/" */*.pro */*/*.pro

%build
export PATH=/opt/qt4/bin:/opt/qt4:$PATH
mkdir build
pushd build
export CFLAGS="%{optflags}"
export CXXFLAGS="%{optflags}"
export FFLAGS="%{optflags}"
%{cmake} \
-DPYTHON_SITE_PACKAGES_DIR=%{python_sitearch} \
-DQZION_SIP_DIR=%{_datadir}/sip/qzion \
..
make VERBOSE=1 %{?_smp_mflags}
popd

%install
pushd build
make install DESTDIR=$RPM_BUILD_ROOT
popd

# strip binaries
find $RPM_BUILD_ROOT -type f -exec /usr/bin/strip --strip-debug '{}' ';'

%files
%defattr(-,root,root)
%{_bindir}/qedje_viewer
%{_libdir}/libqedje.so.*

%files devel
%defattr(-,root,root)
%{_includedir}/qedje*.h
%{_includedir}/qrunningprogram.h
%{_libdir}/libqedje.so
%{_pkgconfig}/qedje.pc

%files python
%defattr(-,root,root,-)
%{python_sitearch}/%{name}

%files python-devel
%defattr(-,root,root,-)
%{_datadir}/sip/%{name}

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Sat Aug 08 2009 Karsten Brockmann <arcam@ccux-linux.de> 0.4.0-1
- Version update
* Wed Aug 05 2009 Karsten Brockmann <arcam@ccux-linux.de> 0.3.0-1
- initial CCux package release
